## com.vividsolutions.jts.util
Class GeometricShapeFactory.Dimensions

    java.lang.Object
      com.vividsolutions.jts.util.GeometricShapeFactory.Dimensions

Enclosing class:
  GeometricShapeFactory

protected class GeometricShapeFactory.Dimensions
extends java.lang.Object

Field Summary
`Coordinate` `base`
`Coordinate` `centre`
`double` `height`
`double` `width`

Constructor Summary
`protected` `GeometricShapeFactory.Dimensions()`

Method Summary
`Coordinate` `getBase()`
`Coordinate` `getCentre()`
`Envelope` `getEnvelope()`
`double` `getHeight()`
`double` `getMinSize()`
`double` `getWidth()`
`void` `setBase(Coordinate base)`
`void` `setCentre(Coordinate centre)`
`void` `setEnvelope(Envelope env)`
`void` `setHeight(double height)`
`void` `setSize(double size)`
`void` `setWidth(double width)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### base

    public Coordinate base

### centre

    public Coordinate centre

### width

    public double width

### height

    public double height

Constructor Detail

### GeometricShapeFactory.Dimensions

    protected GeometricShapeFactory.Dimensions()

Method Detail

### setBase

    public void setBase(Coordinate base)

### getBase

    public Coordinate getBase()

### setCentre

    public void setCentre(Coordinate centre)

### getCentre

    public Coordinate getCentre()

### setSize

    public void setSize(double size)

### getMinSize

    public double getMinSize()

### setWidth

    public void setWidth(double width)

### getWidth

    public double getWidth()

### getHeight

    public double getHeight()

### setHeight

    public void setHeight(double height)

### setEnvelope

    public void setEnvelope(Envelope env)

### getEnvelope

    public Envelope getEnvelope()